package main;

import ea.Game;
import ea.Manager;
import main.entities.Player;

/**
 * Von hier wird alles initialisiert. Das ist die höchste Klasse.
 */
public class Malin extends Game {

	private World world;

	public static final int WIDTH = 1440; // Fensterbreite
	public static final int HEIGHT = 1056; // Fensterhöhe

	public Malin() {
		super(WIDTH, HEIGHT);

		// Welt initialisieren und Spieler hinzufügen
		world = new World(this);
		// die Welt zu EA hinzufügen
		wurzel.add(world);
	}

	@Override
	public void tasteReagieren(int code) {
	}

	public World getWorld() {
		return world;
	}
}
